<app-header></app-header>
<div class="sig-up__content">
  <div class="image__content">
    <h1>Toma una <strong>desición</strong>, Investment tu mejor <strong>elección</strong></h1>
    <img src="./assets/image/sign-up/desition.svg" alt="">
  </div>

  <div class="form">
    <h1 class="title">REGISTRATE</h1>
    <mat-horizontal-stepper>
      <mat-step label="Datos personales">
        <h1>Nos interesa saber quien eres</h1>
        <form [formGroup]="signUpForm">
          <mat-form-field>
            <mat-label>Nombre(s)</mat-label>
            <input matInput formControlName="name" placeholder="Please, enter your First Name" required>
            <div *ngFor="let errorMessage of errorsMessages.firstName">
              <ng-container *ngIf="firsName.hasError(errorMessage.type) && (firsName.dirty || firsName.touched)">
                <mat-error >{{errorMessage.message}}</mat-error>
              </ng-container>
            </div>
          </mat-form-field>
          <mat-form-field>
            <mat-label>Apellido(s)</mat-label>
            <input matInput formControlName="lastName" placeholder="Please, enter your Last Name"required>
            <div *ngFor="let errorMessage of errorsMessages.lastName">
              <ng-container *ngIf="lastName.hasError(errorMessage.type) && (lastName.dirty || lastName.touched)">
                <mat-error>{{errorMessage.message}}</mat-error>
              </ng-container>
            </div>
          </mat-form-field>
          <div class="btn-first-stepper">
            <button class="btn-next" mat-raised-button color="warn" matStepperNext>Siguiente</button>
          </div>
        </form>
      </mat-step>
      <!-- #docregion label -->
      <mat-step label="Contacto">
        <h1>¿Cómo podemos contactarte?</h1>
        <!-- #enddocregion label -->
        <form [formGroup]="signUpForm">
          <mat-form-field>
            <mat-label>Email</mat-label>
            <input matInput formControlName="email" placeholder="Type your email here" required>
            <div *ngFor="let errorMessage of errorsMessages.email">
              <ng-container *ngIf="email.hasError(errorMessage.type) && (email.dirty || email.touched)">
                <mat-error>{{errorMessage.message}}</mat-error>
              </ng-container>
            </div>
          </mat-form-field>
          <mat-form-field>
            <mat-label>Telefono</mat-label>
            <input matInput formControlName="phone" placeholder="Enter your phone" required>
            <div *ngFor="let errorMessage of errorsMessages.phone">
              <ng-container *ngIf="phone.hasError(errorMessage.type) && (phone.dirty || phone.touched)">
                <mat-error>{{errorMessage.message}}</mat-error>
              </ng-container>
            </div>
          </mat-form-field>
          <div class="btn-stepper">
            <button class="btn-previous" mat-button matStepperPrevious>Volver</button>
            <button class="btn-next" mat-raised-button color="warn" matStepperNext>Siguiente</button>
          </div>
        </form>
      </mat-step>
      <mat-step label="Finalizar">
        <h1>Finalmente. Ingresa tu contraseña</h1>
        <form [formGroup]="signUpForm" (submit)="register()">
          <mat-form-field>
            <mat-label>Contraseña</mat-label>
            <input type="password" formControlName="password" matInput placeholder="Your password must have min 8 letter" required>
            <div *ngFor="let errorMessage of errorsMessages.password">
              <ng-container *ngIf="password.hasError(errorMessage.type) && (password.dirty || password.touched)">
                <mat-error>{{errorMessage.message}}</mat-error>
              </ng-container>
            </div>
          </mat-form-field>
          <mat-form-field>
            <mat-label>Confirmar Contraseña</mat-label>
            <input type="password" formControlName="confirmPassword" matInput placeholder="Type your password" required>
            <div *ngFor="let errorMessage of errorsMessages.confirmPassword">
              <ng-container *ngIf="confirmPassword.hasError(errorMessage.type) && (confirmPassword.dirty || confirmPassword.touched)">
                <mat-error>{{errorMessage.message}}</mat-error>
              </ng-container>
            </div>
          </mat-form-field>
          <div class="btn-stepper">
            <button class="btn-previous" mat-button matStepperPrevious>Volver</button>
            <button type="submit" class="btn-next" [disabled]="!signUpForm.valid" mat-raised-button color="warn">Registrame</button>
          </div>
        </form>
      </mat-step>
    </mat-horizontal-stepper>
  </div>
</div>
<app-footer></app-footer>